Bug 539532

Summary: RFE: Attach last few lines from ~/.xsession-errors for glib-based apps
Product: [Fedora] Fedora Reporter: Tomáš Bžatek <tbzatek>
Component: abrtAssignee: Denys Vlasenko <dvlasenk>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: low    
Version: rawhideCC: anton, dvlasenk, iprikryl, jmoskovc, kklic, mnowak, npajkovs, tsmetana, twaugh
Target Milestone: ---Keywords: FutureFeature
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: abrt-2.0.3-1.fc15 Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-06-24 03:24:55 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Tomáš Bžatek 2009-11-20 13:48:46 UTC
With backtraces such as https://bugzilla.redhat.com/attachment.cgi?id=372358 it's hard to find out what really caused the crash as all string values have been optimized out. Usually, glib based applications print an assert to console which would be incredibly useful in such cases.

No need to attach full ~/.xsession-errors file, last 20-30 lines should be sufficient. Bug-buddy used to worked like this.

Comment 1 Denys Vlasenko 2011-05-10 16:53:47 UTC
Fixed in git by commit 60ed34c6de8b30624774c50cbb6bfc05740b4a1a

Comment 2 Jiri Moskovcak 2011-05-11 08:03:20 UTC
The patch is actually not a complete fix, as it saves the .xsession-errors at the time when user decides to report the crash and the lines related to that application might be gone or unrelated to that crash...

Comment 3 Tomáš Bžatek 2011-05-11 09:30:02 UTC
(In reply to comment #2)
> The patch is actually not a complete fix, as it saves the .xsession-errors at
> the time when user decides to report the crash and the lines related to that
> application might be gone or unrelated to that crash...

So could be at the time of the crash - in the series of assert failures the starting one may be far away from the end. It only serves as a clue for developers.

Comment 4 Fedora Update System 2011-06-21 13:44:58 UTC
abrt-2.0.3-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/abrt-2.0.3-1.fc15

Comment 5 Fedora Update System 2011-06-21 23:55:53 UTC
Package abrt-2.0.3-1.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing abrt-2.0.3-1.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/abrt-2.0.3-1.fc15
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2011-06-24 03:23:00 UTC
abrt-2.0.3-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.